package jp.co.student.springbootstudy.domain.mapper;

import java.util.List;
import jp.co.student.springbootstudy.domain.model.ClassRoom;
import jp.co.student.springbootstudy.domain.model.ClassRoomExample;
import org.apache.ibatis.annotations.Param;

public interface ClassRoomMapper {

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	long countByExample(ClassRoomExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	int deleteByExample(ClassRoomExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	int deleteByPrimaryKey(Integer classRoomId);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	int insert(ClassRoom row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	int insertSelective(ClassRoom row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	List<ClassRoom> selectByExample(ClassRoomExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	ClassRoom selectByPrimaryKey(Integer classRoomId);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	int updateByExampleSelective(@Param("row") ClassRoom row, @Param("example") ClassRoomExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	int updateByExample(@Param("row") ClassRoom row, @Param("example") ClassRoomExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	int updateByPrimaryKeySelective(ClassRoom row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	int updateByPrimaryKey(ClassRoom row);
}